<div class="grid p-3 w-full">
  <div class="col-12">
    <div class="grid justify-space">
      <div class="col-6">
        <p-panel>
          <ng-template pTemplate="header">
            <span class="text-2xl">Eventos mais comuns</span>
          </ng-template>

          <div class="grid">
            <div class="col-12">
              <div class="grid">
                <div class="col-4">
                  <div
                    class="text-center text-xl p-3 font-bold"
                  >
                    Ração
                  </div>
                </div>
                <div class="col-4 col-fixed">
                  <div
                    class="border-round-sm flex font-bold align-items-center justify-content-center"
                  >
                    <button pButton class="mt-1 p-button-rounded">
                      <i class="pi pi-apple" style="font-size: 2rem"></i>
                    </button>
                  </div>
                </div>
                <div class="col-4">
                  <div
                    class="text-center text-xl p-3 font-bold"
                  >
                    40
                  </div>
                </div>
              </div>
            </div>

            <div class="col-12">
              <div class="grid">
                <div class="col-4">
                  <div
                    class="text-center text-xl p-3 font-bold"
                  >
                    Vacina
                  </div>
                </div>
                <div class="col-4 col-fixed">
                  <div
                    class="border-round-sm flex font-bold align-items-center justify-content-center"
                  >
                    <button pButton class="mt-1 p-button-rounded">
                      <i class="pi pi-pencil" style="font-size: 2rem"></i>
                    </button>
                  </div>
                </div>
                <div class="col-4">
                  <div
                    class="text-center text-xl p-3 font-bold"
                  >
                    32
                  </div>
                </div>
              </div>
            </div>

            <div class="col-12">
              <div class="grid">
                <div class="col-4">
                  <div
                    class="text-center text-xl p-3 font-bold"
                  >
                    Temperatura
                  </div>
                </div>
                <div class="col-4 col-fixed">
                  <div
                    class="border-round-sm flex font-bold align-items-center justify-content-center"
                  >
                    <button pButton class="mt-1 p-button-rounded">
                      <i class="pi pi-chart-bar" style="font-size: 2rem"></i>
                    </button>
                  </div>
                </div>
                <div class="col-4">
                  <div
                    class="text-center text-xl p-3 font-bold"
                  >
                    24
                  </div>
                </div>
              </div>
            </div>
          </div>
        </p-panel>
      </div>

      <div class="col-6 card flex justify-content-center">
        <span class="text-2xl">Eventos por cores:</span>
        <p-chart
          class="w-6"
          type="doughnut"
          [data]="data"
          [options]="options"
        ></p-chart>
      </div>
    </div>
  </div>

  <div class="col-12">
    <p-panel>
      <ng-template pTemplate="header">
        <span class="text-2xl">Baias com mais doentes</span>
      </ng-template>
      <div class="card">
        <p-table [value]="products" [tableStyle]="{ 'min-width': '50rem' }">
          <ng-template pTemplate="header">
            <tr>
              <th class="col-3 text-xl">Código da Baia</th>
              <th class="col-3 text-xl">Nome</th>
              <th class="col-3 text-xl">Quantidade de doentes</th>
              <th class="col-3 text-xl">Data alojamento</th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-obj>
            <tr>
              <td class="text-xl">{{ obj.code }}</td>
              <td class="text-xl">{{ obj.name }}</td>
              <td class="text-xl">{{ obj.quantity }}</td>
              <td class="text-xl">{{ obj.data }}</td>
            </tr>
          </ng-template>
        </p-table>
      </div>
    </p-panel>
  </div>
</div>
